Skip to main content
GET
/
customers
Query Customers
curl --request GET \
  --url https://api.jtl-cloud.com/erp/customers \
  --header 'Authorization: Bearer <token>' \
  --header 'x-api-key: <api-key>' \
  --header 'x-appid: <x-appid>' \
  --header 'x-appversion: <x-appversion>' \
  --header 'x-tenant-id: <x-tenant-id>'
{
  "TotalItems": 123,
  "PageNumber": 123,
  "PageSize": 123,
  "Items": [
    {
      "Id": 123,
      "Number": "<string>",
      "CustomerGroupId": 123,
      "BillingAddress": {
        "Id": 123,
        "Company": "<string>",
        "Company2": "<string>",
        "FormOfAddress": "<string>",
        "Title": "<string>",
        "FirstName": "<string>",
        "LastName": "<string>",
        "Street": "<string>",
        "Address2": "<string>",
        "PostalCode": "<string>",
        "City": "<string>",
        "State": "<string>",
        "CountryIso": "<string>",
        "VatID": "<string>",
        "PhoneNumber": "<string>",
        "MobilePhoneNumber": "<string>",
        "EmailAddress": "<string>",
        "Fax": "<string>"
      },
      "Shipmentaddress": {
        "Id": 123,
        "Company": "<string>",
        "Company2": "<string>",
        "FormOfAddress": "<string>",
        "Title": "<string>",
        "FirstName": "<string>",
        "LastName": "<string>",
        "Street": "<string>",
        "Address2": "<string>",
        "PostalCode": "<string>",
        "City": "<string>",
        "State": "<string>",
        "CountryIso": "<string>",
        "VatID": "<string>",
        "PhoneNumber": "<string>",
        "MobilePhoneNumber": "<string>",
        "EmailAddress": "<string>",
        "Fax": "<string>"
      },
      "CustomAddress": {
        "Id": 123,
        "Company": "<string>",
        "Company2": "<string>",
        "FormOfAddress": "<string>",
        "Title": "<string>",
        "FirstName": "<string>",
        "LastName": "<string>",
        "Street": "<string>",
        "Address2": "<string>",
        "PostalCode": "<string>",
        "City": "<string>",
        "State": "<string>",
        "CountryIso": "<string>",
        "VatID": "<string>",
        "PhoneNumber": "<string>",
        "MobilePhoneNumber": "<string>",
        "EmailAddress": "<string>",
        "Fax": "<string>"
      },
      "OtherAddresses": {
        "OtherBillingAddresses": [
          {
            "Id": 123,
            "Company": "<string>",
            "Company2": "<string>",
            "FormOfAddress": "<string>",
            "Title": "<string>",
            "FirstName": "<string>",
            "LastName": "<string>",
            "Street": "<string>",
            "Address2": "<string>",
            "PostalCode": "<string>",
            "City": "<string>",
            "State": "<string>",
            "CountryIso": "<string>",
            "VatID": "<string>",
            "PhoneNumber": "<string>",
            "MobilePhoneNumber": "<string>",
            "EmailAddress": "<string>",
            "Fax": "<string>"
          }
        ],
        "OtherShippingAddresses": [
          {
            "Id": 123,
            "Company": "<string>",
            "Company2": "<string>",
            "FormOfAddress": "<string>",
            "Title": "<string>",
            "FirstName": "<string>",
            "LastName": "<string>",
            "Street": "<string>",
            "Address2": "<string>",
            "PostalCode": "<string>",
            "City": "<string>",
            "State": "<string>",
            "CountryIso": "<string>",
            "VatID": "<string>",
            "PhoneNumber": "<string>",
            "MobilePhoneNumber": "<string>",
            "EmailAddress": "<string>",
            "Fax": "<string>"
          }
        ],
        "OtherCustomerAddresses": [
          {
            "Id": 123,
            "Company": "<string>",
            "Company2": "<string>",
            "FormOfAddress": "<string>",
            "Title": "<string>",
            "FirstName": "<string>",
            "LastName": "<string>",
            "Street": "<string>",
            "Address2": "<string>",
            "PostalCode": "<string>",
            "City": "<string>",
            "State": "<string>",
            "CountryIso": "<string>",
            "VatID": "<string>",
            "PhoneNumber": "<string>",
            "MobilePhoneNumber": "<string>",
            "EmailAddress": "<string>",
            "Fax": "<string>"
          }
        ]
      },
      "PaymentSettings": {
        "PaymentMethodId": 123,
        "Discount": 123,
        "PaymentTarget": 123,
        "CreditLimit": 123,
        "StopPaymentRequest": true
      },
      "CustomerSince": "2023-11-07T05:31:56Z",
      "LastChange": "2023-11-07T05:31:56Z",
      "LanguageIso": "<string>",
      "InternalCompanyId": 123,
      "CustomerCategoryId": 123,
      "TaxIdentificationNumber": "<string>",
      "AccountsReceivableNumber": 123,
      "CommercialRegisterNumber": "<string>",
      "Website": "<string>",
      "InitialContact": "<string>",
      "EbayUsername": "<string>",
      "Birthday": "2023-11-07T05:31:56Z",
      "IsLocked": true,
      "IsCashRegisterBased": true
    }
  ],
  "TotalPages": 123,
  "HasPreviousPage": true,
  "HasNextPage": true,
  "NextPageNumber": 123,
  "PreviousPageNumber": 123
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

x-api-key
string
header
required

Optional: If no token is present, the API Gateway injects it.

Headers

api-version
string

Specify the desired API version, e.g. '1.0'. If not provided, the last available version is set.

x-appid
string
required

This is the name of your application, e.g. "MyApp/1.0.0". It is used to identify your application.

x-appversion
string
required

This is where the version number of your application is entered, e.g. "1.0.0".

x-runas
string

The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.

X-SessionId
string<uuid>

The id of a session in which the call will be executed.

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Query Parameters

searchKeyWord
string

All Search Keywords for the customer, like the number and the most important fields from the billing address.

number
string

Search for a specific customer number.

groupId
integer<int32>
categoryId
integer<int32>
lastChangeFrom
string<date-time>

All customers where the last change happened after or equal the given time

lastChangeTo
string<date-time>

All customers where the last change happened before or equal the given time

pageNumber
integer<int32>

Number of the page of items to fetch.

pageSize
integer<int32>

Size of the page that is specified by pageNumber.

Response

Returns all customer, can be filtered by searchKeyWord or categoryId.

Represents a paginated list of items

TotalItems
integer<int32>
required

Gets or sets the total number of items available in the data source.

PageNumber
integer<int32>
required

Gets or sets the current page number in the paginated list.

PageSize
integer<int32>
required

Gets or sets the number of items per page in the paginated list.

Items
object[]
required

Gets or sets the collection of items contained in the paged list.

TotalPages
integer<int32>

Gets the total number of pages based on the total number of items and the page size.

HasPreviousPage
boolean

Gets a value indicating whether there is a previous page available in the paginated list.

HasNextPage
boolean

Gets a value indicating whether there is a next page available.

NextPageNumber
integer<int32>

Gets the number of the next page if there is one; otherwise, returns the total number of pages.

PreviousPageNumber
integer<int32>

Gets the number of the previous page. If there is no previous page, it returns 1.